Subject: Re: [PATCH] [POWERPC] DTS cleanup

From: David Gibson <[email-masked]>
Date: Mon, 17 Sep 2007 13:24:30 +1000

On Fri, Sep 14, 2007 at 01:11:07PM -0500, Kumar Gala wrote:
> 
> On Sep 14, 2007, at 11:28 AM, Jon Loeliger wrote:
> 
> > Kumar Gala wrote:
> >
> >> Someone really needs to add some macro/preprocessor magic into DTC  
> >> so  this is made a lot simpler.
> >> - k
> >
> > Kumar,
> >
> > I am seriously contemplating this problem.
> > The trick is, I need to quit with the whole
> > Power Point Programmer job title for a bit...
> 
> I'm all for both of these things.  You working on getting DTC to have  
> some macro/include ability and you not being a powerpoint
> programmer.

Maybe we should make some time for all of us to get on IRC together to
discuss this?

I had some thoughts on what I think is a reasonably sane variable /
expression system for dtc.  Not quite the same thing as a macro
system, but a good start on one.

Although I also think we should still consider if using m4 as a
preprocessor (with some preloaded macros) could be sufficient.  Adding
expression and macro functions to dtc itself would be rather a lot of
work.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson